<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title></title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />

  <!--MqRelPath--><link rel="stylesheet" type="text/css" href="../../theme/css/censusmain.css"/><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" type="text/css" href="<BASE_VD>/theme/css/censusmain.css"/></MqAbsPath-->
  <!--MqRelPath--><script type="text/javascript" src="../../js/mqsysutils.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqsysutils.js"></script></MqAbsPath-->
  <!--MqRelPath--><script type="text/javascript" src="../../js/cmqsysmsg.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqsysmsg.js" ></script></MqAbsPath-->
  <!--MqRelPath--><script type="text/javascript" src="../../js/window.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/window.js"></script></MqAbsPath-->
    <script type="text/javascript">
    var objSysMsg = new CMqSysMsg();
    var m_objMqButton= new MqButton();
    var strDivName;
    var strHTML;
	var m_objRef = parent;
    var m_objFeatures=m_objRef.objFeatures;
    var SESSION_MONITOR_START=15; //to not monitor, set SESSION_MONITOR_START=0 
    var m_strWinID=parseInt( Math.random() * 1000);
    var strClassToolbarbuttonHover;
	var m_blnHasFeatureFromEnabled=false;
	var m_blnHasFeatureAttachments_Upload=false;
	var m_blnHasFeatureAttachments_Link=false;
	var m_blnHasFeatureAttachments_LinkAlf=false;
	var m_blnHasFeatureAttachments_LinkSP=false;

    var obrowser = CMqBrowserDetector();
	
	if(obrowser){ 
		if(obrowser.ie && (obrowser.minor == 7 || obrowser.minor == 8)){
			strClassToolbarbuttonHover = 'ToolbarButton ToolbarButtonHoverIE';
		}else{
			strClassToolbarbuttonHover = 'ToolbarButton ToolbarButtonHover';
		}
	}
	
	var BUTTON_TEXT_PREFIX = "<td width='50' align='center' height='18'><font class='HeaderIconText'>";
	var BUTTON_TEXT_SUFFIX = "</font></td>";
	var BUTTON_ICON_PREFIX = "<td align='center'>";
	var BUTTON_ICON_SUFFIX = "</td>";
	
		function OpenReportViewer(lngFeatureID)                                             
		{
			/*m_objRef.OpenChildWindow("../../Reports/TmplReportViewerMain.htm?FeatureID=" + lngFeatureID,
				'dlgReportViewer_' + m_strWinID,
				'toolbar=no,resizable=yes,directories=no,width=380,height=590',
				null,null,null,null,null,null,null,
				CLOSE_SCENARIO_USER_LOGS_OFF + CLOSE_SCENARIO_USER_SWITCHES_VIEW
				);*/
			m_objRef.OpenModalWindow("../../Reports/TmplReportViewerMain.htm?FeatureID=" + lngFeatureID, 870, 660, false);
		}
		
		function OpenOriginatorsWindow(strUrl,strWindowName){

			strUrl="TmplEditContacts.htm";
			
			m_objRef.OpenChildWindow(strUrl,strWindowName + m_strWinID,
				'scrollbars=yes,resizable=yes,toolbar=no,directories=no,width=1000,height=700' );
		}
		function OpenUpdateOrigWindow(strUrl,strWindowName){

			
			m_objRef.OpenChildWindow(strUrl,strWindowName + m_strWinID,
				'scrollbars=yes,resizable=yes,toolbar=no,directories=no,width=500,height=500' );
		}
		
		function OpenHelpWindow(strUrl,strWindowName){
			window.open(strUrl,strWindowName + m_strWinID,
				'resizable=yes,toolbar=no,directories=no,width=600,height=450');
		}

		function OpenPasswordWindow(strUrl,strWindowName){
			m_objRef.OpenChildWindow(strUrl,strWindowName + m_strWinID,
				'resizable=yes,toolbar=no,directories=no,width=375,height=250',true,375,250);
		}

		function OpenAboutWindow(strUrl,strWindowName){
			m_objRef.OpenChildWindow(strUrl,strWindowName + m_strWinID,
				'scrollbars=no,resizable=yes,toolbar=no,directories=no,width=380,height=260');
		}

		function OpenPrefsWindow(strUrl,strWindowName){
			m_objRef.OpenChildWindow(strUrl,strWindowName + m_strWinID,
				'scrollbars=no,resizable=yes,toolbar=no,directories=no,width=650,height=700',true,650,700);
		}

		function OpenRevHistWindow(strUrl,strWindowName){
		
			var lngRecordID = 0;
			
			lngRecordID = m_objRef.objRecord.GetRecordId();
		
			if (m_objRef.objRecord.GetRecordId() > 0){
			
				strUrl = strUrl + "&CIssueID=" + lngRecordID;
				
				m_objRef.OpenChildWindow(strUrl,strWindowName + lngRecordID,
				'scrollbars=no,resizable=yes,toolbar=no,directories=no,width=1000,height=400',
				null,null,null,null,null,null,null,
				CLOSE_SCENARIO_USER_LOGS_OFF + CLOSE_SCENARIO_USER_SWITCHES_VIEW);
			}else{
				alert(m_objRef.MSG_SELECT_REC_REVHIST);
			}
		}
		function OpenDefaultValuesWindow(strUrl,strWindowName){
			m_objRef.OpenModalWindow(strUrl, 960, 600, true);
		}
		
		function OpenEmailConversationWindow(strUrl,strWindowName)
		{
			var lngRecordID = 0;
			lngRecordID = m_objRef.objRecord.GetRecordId();
			
			if (lngRecordID > 0){
				if (!m_objRef.g_VWS.RecordMgr().CurrentRecord().IsNewRecord()){	
					strUrl = strUrl + "&CIssueID=" + lngRecordID;
					
					m_objRef.OpenChildWindow(strUrl,strWindowName + lngRecordID,
										'resizable=yes,toolbar=no,directories=no,width=800,height=600', true,
										800,600,null,null,null,null,
										CLOSE_SCENARIO_USER_LOGS_OFF + CLOSE_SCENARIO_USER_SWITCHES_VIEW);
				}else{
					alert(m_objRef.MSG_SAVE_REC_CONV);
				}
			}else{
				alert(m_objRef.MSG_SELECT_REC_CONV);
			}
		}
		
		function OpenEmailQueueWindow(strUrl,strWindowName)
		{
			m_objRef.OpenChildWindow(strUrl,strWindowName + m_strWinID,
				'resizable=yes,toolbar=no,directories=no,width=1000,height=700', true,
				1000,700,null,null,null,null,
				CLOSE_SCENARIO_USER_LOGS_OFF + CLOSE_SCENARIO_USER_SWITCHES_VIEW);
		}

		function Form_OnLoad()
		{
			g_MqRef.ResMgr.ProcessAll(document);
			'<Mq_WVF_8289>
			WriteWizardInfo();
			
			if (parent.m_objLoadDataMgr){
				parent.m_objLoadDataMgr.SetOnAfterLoad("TopToolbar2.WriteWizardInfo();", true);
			}
			'</Mq_WVF_8289>
					
			var lngInitMilliSecs;
			
			if(SESSION_MONITOR_START){
				if(SESSION_MONITOR_START>0){
					lngInitMilliSecs=SESSION_MONITOR_START*1000;
					window.setTimeout("InitSessionMonitor()", lngInitMilliSecs);
				}
			}
			// Uncomment the following line for enabling VOIP integration
			// InitVOIPMonitor();
			InitSumListMonitor();
			ManageReportButton();
			HandleDefaultsButton();
			loaded=true;
			initialized=true;
		}
		
		function InitSessionMonitor()
		{
			var objSessionMonitor=document.getElementById("fraSessionMonitor");
			
			if(objSessionMonitor){
				objSessionMonitor.src="wcTopToolbar.ASP?WCI=wciCheckSession";
			}
		}
		
		function InitVOIPMonitor()
		{
			var objVOIPMonitor=document.getElementById("fraVOIPMonitor");
			if(objVOIPMonitor){
				objVOIPMonitor.src="tmplVOIPMonitor.htm";
			}
		}

		function InitSumListMonitor()
		{
			if(parent){
				if(parent.objFeatures){
					if(parent.objFeatures.getFeature(parent.FEATURE_SUMLIST)){
						var objSumLstMonitor=document.getElementById("fraSumLstMonitor");
						if(objSumLstMonitor){
							objSumLstMonitor.src="tmplSumLstMon.htm";
						}
					}
				}
			}
		}
		
		function MailCurrentIssue()
		{
			if (m_objRef.objRecord.GetRecordId() > 0){

				if (!m_objRef.g_VWS.RecordMgr().CurrentRecord().IsNewRecord()){	
					GetEmailContents();
					
					OpenChildWindow("../../HTML/EmailEditor/WCMqEmailEditor.ASP?WCI=wciEmailContentEditor&IssueID=" + m_objRef.objRecord.GetRecordId() + "&Fld=txtEmailIssueSrc&Mode=438276&Type=3&Title=" +
							m_objRef.EDITOR_DLG_TITLE + "&Caption=" + m_objRef.EDITOR_DLG_CAPTION + "&MT=0&Macro=3&InQ=0", "EmailCurrentIssue", 
							"toolbar=no,directories=no,resizable=yes,scrollbars=yes,width=1000,height=700", true, 1000, 700,
							null,null,null,null,CLOSE_SCENARIO_USER_LOGS_OFF + CLOSE_SCENARIO_USER_SWITCHES_VIEW);
				}else{
					alert(m_objRef.MSG_SAVE_REC_EMAIL);
				}
			
			}else{
				alert(m_objRef.MSG_SELECT_REC_EMAIL);
			}	
		}
		
		function GetEmailContents()
		{
			var objSrcTxt = document.getElementById("txtEmailIssueSrc");
			
			var co = m_objRef.objRequest.Get(m_objRef.mstrCurrentLocation + "../../HTML/EmailEditor/WCMqEmailEditor.ASP?WCI=wciGetEmailContentsToDisplay&Src=1&MT=1&TmplName=" + g_MqRef.MqStr.MqEncodeURIComponent(m_objRef.CURRENT_ISSUE_TMPL_NAME) + "&CIssueID=" + m_objRef.objRecord.GetRecordId());
			
			if (co!=m_objRef.objRequest.CANCEL_PROCESS){
				
				var objResponse=m_objRef.objRequest.Response(co);
					
				if (objResponse){
					if (objResponse.HasErrors()){
						objResponse.ProcessErrors("",true);
					}else{
						if(objSrcTxt){
							objSrcTxt.value = co;
						}
					}
				}
			}
		}
		
		function OpenScanRMAReturnsWindow(strUrl,strWindowName){
			parent.OpenChildWindow(strUrl,strWindowName + m_strWinID,
				'resizable=yes,toolbar=no,directories=no,width=600,height=400');
		}
		
		var blnHasFeature112=false;
		var blnHasFeature116=false;
		var blnHasFeature117=false;
		var blnHasFeature118=false;
		var blnHasFeature119=false;
		var blnHasFeature122=false;
		var blnHasFeature123=false;

		<WC@SECURED_FEATURE_112>
			blnHasFeature112=true;
		</WC@SECURED_FEATURE_112>
		<WC@SECURED_FEATURE_116>
			blnHasFeature116=true;
		</WC@SECURED_FEATURE_116>
		<WC@SECURED_FEATURE_117>
			blnHasFeature117=true;
		</WC@SECURED_FEATURE_117>
		<WC@SECURED_FEATURE_118>
			blnHasFeature118=true;
		</WC@SECURED_FEATURE_118>
		<WC@SECURED_FEATURE_119>
			blnHasFeature119=true;
		</WC@SECURED_FEATURE_119>
		<WC@SECURED_FEATURE_122>
			blnHasFeature122=true;
		</WC@SECURED_FEATURE_122>
		<WC@SECURED_FEATURE_123>
			blnHasFeature123=true;
		</WC@SECURED_FEATURE_123>

		function ManageReportButton(){
			if(parent){
				if(parent.mblnHideReportsButton){
					HideButton('cmdReports');
				}else{
					var strRepURL = '../../Reports/WCMqWebReport.ASP?FeatureID='+m_objRef.FEATURE_NORMAL_REPORT_VIEWER;
					var objRequest = parent.objRequest;
					var blnHasReports = false;
					var arrRegEx = [new RegExp(/strCustomReports(.{4})([^a-z|0-9])/ig), new RegExp(/strListingReports(.{4})([^a-z|0-9])/ig)];

					var strReturn;
					
					if(objRequest){
						strReturn = objRequest.Get(strRepURL);
						blnHasReports = !(arrRegEx[0].test(strReturn) && arrRegEx[1].test(strReturn));
					}
					
					if(!blnHasReports){
						HideButton('cmdReports');
					}
				}
			}
		}
		
		function HandleDefaultsButton()
		{
			if(parent){
				if(parent.mblnHideDefaultsButton){
					HideButton('cmdDefaults');
				}
			}
		}
		
		function HideButton(strButtonName)
		{
			var oButton = document.getElementById(strButtonName);
			
			if(oButton){
				oButton.style.display = 'none';
				oButton.style.visibility = 'hidden';
			}
		}
		
		function WriteWizardInfo()
		{
			var objTitle=document.getElementById("wizTitle");
			var objDesc=document.getElementById("wizDesc");
			var objMacros=new parent.CMqMacros();
			
			if(objMacros){	
				if(objTitle){			
					objTitle.innerHTML=objMacros.ResolveFieldMacros(parent.WIZARD_TITLE,parent.m_objLoadDataMgr,false, true);
				}
				if(objDesc){			
					objDesc.innerHTML=objMacros.ResolveFieldMacros(parent.WIZARD_DESCRIPTION,parent.m_objLoadDataMgr,false, true);
				}
			}
		}
	</script>
</head>
<body onload="Form_OnLoad();" cl-ass="TopToolbarBody" 
	marginheight="0" marginwidth="0" leftmargin="0" 
	rightmargin="0" topmargin="0" bottommargin="0" border="0">
	<iframe name="fraSessionMonitor" id="fraSessionMonitor" src="blank.htm" width="0" height="0" style="display:none; visibility:hidden"></iframe>
	<iframe name="fraVOIPMonitor" id="fraVOIPMonitor" src="blank.htm" width="0" height="0" style="display:none; visibility:hidden"></iframe>
	<iframe name="fraSumLstMonitor" id="fraSumLstMonitor" src="blank.htm" width="0" height="0" style="display:none; visibility:hidden"></iframe>
	<!-- Begin Header -->
	
	'<!_Mq_WVF_8289>
	<div class="TopToolBar">
		<table width="100%" cellpadding="0" cellspacing="0" class="TopToolBar">
			<tr>
				<td align="left" width="200">
					
				</td>
				<td>
					<div class="Welcome">
						<img src="../../theme/images/logos/logo.jpg" />
					</div>
				</td>
				<td align="right" width="200">	
					&#160;
				</td>
			</tr>
		</table>
	</div>
	
	'<!_Mq_WVF_4218945>
	<div class="ToolbarButtonBar">
		<table cellpadding="0" cellspacing="0">
			<tr>			
				<WC@SECURED_FEATURE_17>	
				<td>
					<div class="ToolbarButton" id="cmdReports" name="cmdReports" onmouseover="this.className=strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="OpenReportViewer(m_objRef.FEATURE_NORMAL_REPORT_VIEWER);">
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/reports_off.gif" /></td>
							</tr>
							<tr>
								<td class="ToolbarButton"><script type="text/javascript">document.write(m_objRef.CAPTION_REPORTS_BUTTON);</script></td>
							</tr>
						</table>
					</div>
				</td>
				</WC@SECURED_FEATURE_17>
								
				<WC@SECURED_FEATURE_100>	
				<td>
					<div class="ToolbarButton" id="cmdEmailQueue" name="cmdEmailQueue" onmouseover="this.className=strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="OpenEmailQueueWindow('wcMailInt.ASP?WCI=wciEmailQueue', 'dlgQueue');">
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/emailqueue_off.gif" /></td>
							</tr>
							<tr>
								<td class="ToolbarButton"><script type="text/javascript">document.write(m_objRef.CAPTION_QUEUE_BUTTON);</script></td>
							</tr>
						</table>
					</div>
				</td>
				</WC@SECURED_FEATURE_100>
				
				<WC@SECURED_FEATURE_26>
				<td>
					<div class="ToolbarButton" id="cmdPassword" name="cmdPassword" onmouseover="this.className=strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="OpenPasswordWindow('../../admin/Default_Admin/HTML/UsersMgr/WCCMqUserMgr.asp?WCI=ChangePassword','dlgPassword');">
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/password_off.gif" /></td>
							</tr>
							<tr>
								<td class="ToolbarButton"><script type="text/javascript">document.write(m_objRef.CAPTION_PASSWORD_BUTTON);</script></td>
							</tr>
						</table>
					</div>
				</td>
				</WC@SECURED_FEATURE_26>
									
				
				
				<WC@SECURED_FEATURE_85>
				<td>
					<div class="ToolbarButton" id="cmdDefaults" name="cmdDefaults" onmouseover="this.className=strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="OpenDefaultValuesWindow('MqDefValues.asp?wci=wciMain','dlgDefaultValues');">
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/defaults_off.gif" /></td>
							</tr>
							<tr>
								<td class="ToolbarButton"><script type="text/javascript">document.write(m_objRef.CAPTION_DEFAULTS_BUTTON);</script></td>
							</tr>
						</table>
					</div>
				</td>
				</WC@SECURED_FEATURE_85>
								
				<WC@SECURED_FEATURE_108>	
				<td>
					<div class="ToolbarButton" id="cmdPrefs" name="cmdPrefs" onmouseover="this.className=strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="OpenPrefsWindow('../Prefs/tmplPrefs.htm','dlgPrefs');">
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/prefs_off.gif" /></td>
							</tr>
							<tr>
								<td class="ToolbarButton"><script type="text/javascript">document.write(m_objRef.CAPTION_OPTIONS_BUTTON);</script></td>
							</tr>
						</table>
					</div>
				</td>
				</WC@SECURED_FEATURE_108>
				
				<WC@SECURED_FEATURE_110>
				<td>				
					<div class="ToolbarButton" id="cmdHomepage" name="cmdHomepage" onmouseover="this.className = strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="m_objRef.objControlsSs.SwitchView();">				
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/homepage.gif" /></td>
							</tr>
							<tr>
								<td class="ToolbarButton" ><script type="text/javascript">document.write(g_MqRef.RESX["TTOOLBAR.HOME"])</script> </td>
							</tr>
						</table>
					</div>
				</td>
				</WC@SECURED_FEATURE_110>
				<td>			
					<div class="ToolbarButton" id="cmdLogOff" name="cmdLogOff" onmouseover="this.className = strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="m_objRef.objControlsSs.exit();">
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/exit_off.gif" /></td>
							</tr>
							<tr>
								<td class="ToolbarButton"><script type="text/javascript">document.write(g_MqRef.RESX["TTOOLBAR.LOGOFF"])</script></td>
							</tr>
						</table>
					</div>
				</td>
			</tr>
		</table>
	</div>
	'</!_Mq_WVF_4218945>
	'</!_Mq_WVF_8289>

	
	'<Mq_WVF_8289>
	<div class="TopToolBar">
		<table width="100%" class="TopToolBarWizard">
			<tr>
				<td>
					<script type="text/javascript">if(parent.WIZARD_IMG!=""){document.write('<img src="' + parent.WIZARD_IMG + '" style="height:75px" \/>');}</script>
				</td>
		        <td valign="top" style="padding-top:15px; padding-left:10px" width="100%">
		            <div class="WizardTitle" id="wizTitle" name="wizTitle"></div>
		            <div class="WizardDescription" id="wizDesc" name="wizDesc"></div>
		        </td>
		    </tr>
		</table>
	</div>
	'</Mq_WVF_8289>
	<input type="hidden" id="txtEmailIssueSrc" />
	
	<WC@SECURED_FEATURE_121>
		<script type="text/javascript">
			m_blnHasFeatureFromEnabled=true;
		</script>
	</WC@SECURED_FEATURE_121>

	<WC@SECURED_FEATURE_126>
		<script type="text/javascript">
			m_blnHasFeatureAttachments_Upload=true;
		</script>
	</WC@SECURED_FEATURE_126>
	
	<WC@SECURED_FEATURE_127>
		<script type="text/javascript">
			m_blnHasFeatureAttachments_Link=true;
		</script>
	</WC@SECURED_FEATURE_127>
	
	<WC@SECURED_FEATURE_128>
		<script type="text/javascript">
			m_blnHasFeatureAttachments_LinkAlf=true;
		</script>
	</WC@SECURED_FEATURE_128>

	<WC@SECURED_FEATURE_130>
		<script type="text/javascript">
			m_blnHasFeatureAttachments_LinkSP=true;
		</script>
	</WC@SECURED_FEATURE_130>
</body>
</html>